## wmifs 1.3b1

=== wmifs/Makefile ===
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11
OBJS =	wmifs.o \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o


.c.o:
	cc -c -O2 -Wall $< -o $*.o

wmifs: $(OBJS)
	cc -o wmifs $^ -lXext $(LIBDIR) $(LIBS)

all:: wmifs

clean::
	for i in $(OBJS) ; do \
		rm $$i ; \
	done
	rm wmifs

install::
	cp -f wmifs /usr/local/bin/
	chmod 755 /usr/local/bin/wmifs
	chown root:root /usr/local/bin/wmifs
	cp sample.wmifsrc /etc/wmifsrc
	chown root:root /etc/wmifsrc
	chmod 644 /etc/wmifsrc
	cp -f sample.wmifsrc $(HOME)/.wmifsrc
	echo "WMiFS-1.3beta installation finished..."
	echo " "
	echo "have fun! ;-)"

## wmifs 1.4

=== wmifs/Makefile ===

DESTDIR =
prefix =/usr/local
bindir=${prefix}/bin
datarootdir=${prefix}/share
mandir=${datarootdir}/man
man1dir=${mandir}/man1
CONF=/etc

CC     = gcc
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11
OBJS =	wmifs.o \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o

CFLAGS = -Wall -O2 -g

INSTALL = /usr/bin/install
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root -m 755
INSTALL_PROGRAM = $(INSTALL) -p -o root -g root -m 755
INSTALL_FILE    = $(INSTALL) -p -o root -g root -m 644

.c.o:
	$(CC) -c $(CFLAGS) $< -o $*.o

wmifs: $(OBJS)
	$(CC) -o wmifs $^ -lXext $(LIBDIR) $(LIBS)

all:: wmifs

clean::
	for i in $(OBJS) ; do \
		rm -f $$i ; \
	done
	rm -f wmifs

install::
	$(INSTALL_DIR) $(DESTDIR)$(bindir)
	$(INSTALL_DIR) $(DESTDIR)$(CONF)
	$(INSTALL_DIR) $(DESTDIR)$(man1dir)
	$(INSTALL_PROGRAM) wmifs $(DESTDIR)$(bindir)
	$(INSTALL_FILE) sample.wmifsrc $(DESTDIR)$(CONF)/wmifsrc
	$(INSTALL_FILE) wmifs.1 $(DESTDIR)$(man1dir)
	@echo "WMiFS-1.3beta installation finished..."
	@echo " "
	@echo "have fun! ;-)"

=== debian/changelog ===
wmifs (1.4-2) unstable; urgency=medium

  * debian/control
    - Change Architecture to linux-any.
  * debian/patches
    - (hardening.patch) Harden binary by using default build flags.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 23 Nov 2014 10:14:47 -0600

wmifs (1.4-1) unstable; urgency=medium

  * New maintainer (Closes: #672846).
  * New upstream release.
    - Incorporates all previous Debian patches.
  * debian/compat
    - New file; use 9.
  * debian/control
    - Add debhelper (>=9) to Build-Depends.
    - Add Homepage and Vcs-* fields.
    - Add ${misc:Depends} to Depends.
    - Switch Conflicts to Breaks.
    - Bump Standards-Version to 3.9.6.
  * debian/copyright
    - Convert to machine-readable format version 1.0.
  * debian/docs
    - New file.
  * debian/patches
    - (fix-compiler-warning.patch) Fix unused but set variable warning.
    - (fix-manpage.patch) Fix Lintian manpage warnings.
  * debian/post*
    - Remove files; automatically created by dh_installmenu.
  * debian/rules
    - Add get-orig-source target.
    - Use dh.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - New file.
  * debian/wmifs.1
    - Remove file; now included upstream.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 23 Oct 2014 20:11:53 -0500

wmifs (1.3b1-22) unstable; urgency=low

  * Fix segfault, thanks to The Mayhem Team from Cylab,
    Carnegie Mellon University.
  * Update Standards-Version to 3.9.4
    - Add build-arch, build-indep targets to debian/build,
    - Add hardening build flags.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 27 Jun 2013 21:11:29 +0200

wmifs (1.3b1-21) unstable; urgency=low

  * Now really fix stats_ptr and ifr__name issue.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 25 Nov 2009 21:27:35 +0100

wmifs (1.3b1-20) unstable; urgency=low

  * Replace stats_ptr and ifr__name which are not defined on all archs.
  * Update copyright file.
  * Update Standards-Version to 3.8.3.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 24 Nov 2009 21:49:25 +0100

wmifs (1.3b1-19) unstable; urgency=low

  * Fix build-dependencies (Closes: #486995).
  * Update Standards-Version to 3.8.0.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 23 Jun 2008 21:30:15 +0200

wmifs (1.3b1-18) unstable; urgency=low

  * New maintainer (Closes: #439971).
  * Remove debhepler and cdbs build-dependency.
  * Update Standards-Version to 3.7.3.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 03 Feb 2008 17:15:18 +0100

wmifs (1.3b1-17) unstable; urgency=low

  * debian/control
    - Set maintainer to Debian QA group.
    - Drop Build-Depends on obsolete xlibs-dev.
    - Bump Standards-Version to 3.7.2, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 28 Aug 2007 21:48:53 +0200

wmifs (1.3b1-16) unstable; urgency=low

  * debian/control
    - Build-Depend on libx11-dev | xlibs-dev, libxpm-dev | xlibs-dev.
    - Build-Depend on debhelper (>= 5.0.0).
    - Bump Standards-Version to 3.6.2.1, no changes needed.
  * debian/compat: Switch to debhelper compatibility level 5.

 -- Romain Francoise <rfrancoise@debian.org>  Sun,  8 Jan 2006 00:41:03 +0100

wmifs (1.3b1-15) unstable; urgency=low

  * wmifs/wmifs.c: Patch from Tom Marshall <tommy@home.tig-grr.com>, adds
    a special interface name "auto" for the -i option. "wmifs -i auto"
    will automatically select the first up interface (Closes: #204873).
  * debian/wmifs.1: Document "-i auto" behavior.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 29 Feb 2004 17:19:12 +0100

wmifs (1.3b1-14) unstable; urgency=low

  * wmifs/wmifs.c: Patch from Peter Samuelson <peter@samba-tng.org> to
    make sampling and scrolling intervals customizable, adds new options
    -I and -s (Closes: #226689).
  * debian/wmifs.1: Add new options -I and -s.

 -- Romain Francoise <rfrancoise@debian.org>  Thu,  8 Jan 2004 19:21:06 +0100

wmifs (1.3b1-13) unstable; urgency=low

  * The "Stepping up" release.
  * New maintainer.
  * debian/control
    - Update maintainer contact info.
    - Add Recommends on wmaker.
    - Add Build-Depends on cdbs.
  * debian/copyright: Update maintainer information.

 -- Romain Francoise <rfrancoise@debian.org>  Fri,  5 Dec 2003 20:17:25 +0100

wmifs (1.3b1-12) unstable; urgency=low

  * The "Why hasn't anyone taken over wmifs yet?" release.
  * debian/changelog: Recode as UTF-8.
  * debian/control
    - Build-depend on cdbs, bump debhelper to (>= 4.1.0).
    - Bump Standards-Version to 3.6.1.0.
  * debian/compat: Use debhelper 4.
  * debian/rules: Switch to cdbs.

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Nov 2003 17:20:41 +0100

wmifs (1.3b1-11) unstable; urgency=low

  * debian/changelog: Remove emacs stuff.
  * debian/conffiles: Remove; DH_COMPAT=3 adds it for us.
  * debian/copyright: Add upstream authors.
  * debian/rules: Remove dh_make cruft.
  * debian/wmifs.1: Document Lock Mode.
  * wmifs/wmifs.c: The long interface name patch made wmifs segfault with
    some interfaces. Matyas Koszik <koszik@debijan.lonyay.edu.hu> spotted
    problem and mhp provided a nice patch with Matyas' fix (Closes: #126501).
    This may fix #119181 too, but I can't check too well.

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 Jan 2002 20:56:47 +0100

wmifs (1.3b1-10) unstable; urgency=low

  * wmifs/wmifs.c: Patch from Davi Leal <davileal@terra.es> which fixes
    the display of long interface names. wmifs only has space to display
    interface names which are 5 characters long at the most. Now it will
    cut interface names so they fit well. For example, "dummy0" will be
    displayed as "dumm0", or "vmnet10" as "vmn10" (Closes: #103083).

 -- Jordi Mallach <jordi@debian.org>  Fri, 31 Aug 2001 02:51:59 +0200

wmifs (1.3b1-9) unstable; urgency=low

  * debian/control: Standards-Version: 3.5.6.0 (no changes).
  * wmifs/wmifs.c: Uncomment the ioctl call which makes ppp stats work.
    Thanks, Patrick (closes: #105361).



=== debian/control ===
Source: wmifs
Section: x11
Priority: optional
Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
Build-Depends: debhelper (>=9), libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.6
Homepage: http://windowmaker.org/dockapps/?name=wmifs
Vcs-Browser: https://github.com/d-torrance/wmifs
Vcs-Git: https://github.com/d-torrance/wmifs.git

Package: wmifs
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wmaker
Breaks: wmppp.app (<= 1.1-1)
Replaces: wmppp.app (<= 1.1-1)
Description: WindowMaker dock app for monitoring network traffic
 wmifs is a dockable applet for X11 that can monitor all your network
 interfaces. It's designed for WindowMaker's Dock and AfterStep's Wharf,
 but it's not dependent on these window managers and should work with any
 other.
 .
 WMiFS stands for "Window Maker InterFace Statistics".

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=wmifs

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmifs-*.download ; then \
		rename -fv "s/wmifs-(.+)\.download/wmifs_\1\.orig\.tar\.gz/" \
			../wmifs-*.download; \
	fi

## wmifs 1.5

=== Makefile ===
prefix =/usr/local
bindir=${prefix}/bin
datarootdir=${prefix}/share
mandir=${datarootdir}/man
man1dir=${mandir}/man1
CONF=/etc

CC     = gcc
LIBS   = -lXpm -lXext -lX11
OBJS =	wmifs.o \
		wmgeneral/wmgeneral.o \
		wmgeneral/misc.o \
		wmgeneral/list.o

CFLAGS = -Wall -O2 -g

INSTALL = /usr/bin/install
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root -m 755
INSTALL_PROGRAM = $(INSTALL) -p -o root -g root -m 755
INSTALL_FILE    = $(INSTALL) -p -o root -g root -m 644

.c.o:
	$(CC) -DCONF=\"$(CONF)\" $(CPPFLAGS) $(CFLAGS) -c $< -o $*.o

wmifs: $(OBJS)
	$(CC) $(LDFLAGS) -o wmifs $^ $(LIBS)

all:: wmifs

clean::
	for i in $(OBJS) ; do \
		rm -f $$i ; \
	done
	rm -f wmifs

install::
	$(INSTALL_DIR) $(DESTDIR)$(bindir)
	$(INSTALL_DIR) $(DESTDIR)$(CONF)
	$(INSTALL_DIR) $(DESTDIR)$(man1dir)
	$(INSTALL_PROGRAM) wmifs $(DESTDIR)$(bindir)
	$(INSTALL_FILE) sample.wmifsrc $(DESTDIR)$(CONF)/wmifsrc
	$(INSTALL_FILE) wmifs.1 $(DESTDIR)$(man1dir)
	@echo "WMiFS installation finished..."
	@echo " "
	@echo "have fun! ;-)"

=== debian/changelog ===
wmifs (1.5-1) unstable; urgency=medium

  * New upstream release.
    - Includes new version of wmgeneral library which builds using gcc5
      (Closes: #778170).
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/rules
    - Split command line options for newer versions of rename in
      get-orig-source target.
    - Remove --souredirectory option; source now in top directory.
    - Add override_dh_auto_build target to pass CFLAGS from dpkg-buildflags.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 28 May 2015 06:49:27 -0500

## wmifs 1.6

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,8 @@
 CONF=/etc
 
 CC     = gcc
-LIBS   = -lXpm -lXext -lX11
-OBJS =	wmifs.o \
-		wmgeneral/wmgeneral.o \
-		wmgeneral/misc.o \
-		wmgeneral/list.o
+LIBS   = -lXpm -lXext -lX11 -ldockapp
+OBJS =	wmifs.o
 
 CFLAGS = -Wall -O2 -g

=== debian/changelog ===
wmifs (1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Add libdockapp-dev to Build-Depends.
    - Tidy up using wrap-and-sort.
  * debian/copyright
    - Update email address.
    - Remove wmgeneral files; these have been moved to libdockapp.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 26 Aug 2015 22:19:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: wmifs
 Section: x11
 Priority: optional
-Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
-Build-Depends: debhelper (>=9), libx11-dev, libxext-dev, libxpm-dev
+Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Build-Depends: debhelper (>=9),
+               libdockapp-dev (>= 1:0.7.0),
+               libx11-dev,
+               libxext-dev,
+               libxpm-dev
 Standards-Version: 3.9.6
 Homepage: http://windowmaker.org/dockapps/?name=wmifs
-Vcs-Browser: https://github.com/d-torrance/wmifs
-Vcs-Git: https://github.com/d-torrance/wmifs.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmifs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmifs.git
 
 Package: wmifs
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: wmaker
 Breaks: wmppp.app (<= 1.1-1)
 Replaces: wmppp.app (<= 1.1-1)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmifs-*.download ; then \
		rename -f -v "s/wmifs-(.+)\.download/wmifs_\1\.orig\.tar\.gz/" \
			../wmifs-*.download; \
	fi

=== debian/watch ===
version=3
http://windowmaker.org/dockapps/?name=wmifs \?download=wmifs-(.+).tar.gz

## wmifs 1.8

=== debian/changelog ===
wmifs (1.8-1) unstable; urgency=medium

  * New upstream release.
    - Fix buffer overflow if interface has name > 8 characters
      (Closes: #805519).
  * debian/control
    - Add dh-autoreconf and pkg-config to Build-Depends.
    - Bump Standards-Version to 3.9.8.
    - Use https protocol for Vcs-Browser.
    - Remove Breaks/Replaces on wmppp.app (<= 1.1-1); version 1.2 was
      uploaded to Debian in 1998.
  * debian/menu
    - Remove file; deprecated in favor of desktop file which was added
      upstream.
  * debian/rules
    - Use all hardening flags.
    - Add Wl,--as-needed to LDFLAGS to avoid useless dependencies.
    - Drop override targets and use dh_autoreconf; upstream now uses
      autotools as build system.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 21 Apr 2016 05:58:37 -0400

=== debian/control ===
Source: wmifs
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               libdockapp-dev (>= 1:0.7.0),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               pkg-config
Standards-Version: 3.9.8
Homepage: http://windowmaker.org/dockapps/?name=wmifs
Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmifs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmifs.git

Package: wmifs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: wmaker
Description: WindowMaker dock app for monitoring network traffic
 wmifs is a dockable applet for X11 that can monitor all your network
 interfaces. It's designed for WindowMaker's Dock and AfterStep's Wharf,
 but it's not dependent on these window managers and should work with any
 other.
 .
 WMiFS stands for "Window Maker InterFace Statistics".

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmifs-*.download ; then \
		rename -f -v "s/wmifs-(.+)\.download/wmifs_\1\.orig\.tar\.gz/" \
			../wmifs-*.download; \
	fi

## wmifs 1.9

=== debian/changelog ===
wmifs (1.9-1) unstable; urgency=medium

  * New upstream release.
    - Fix segfault when fopen fails (Closes: #901353).
  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Bump versioned dependency on debhelper to >= 11.
    - Remove unnecessary dh-autoreconf from Build-Depends.
    - Bump Standards-Version to 4.1.4.
    - Update Homepage to dockapps.net.
    - Update Vcs-* after migration to Salsa.
    - Minor reformatting in Description ('WindowMaker' to 'Window Maker'
      and 'dock app' to 'dockapp').
  * debian/copyright
    - Update Format to https.
    - Update Upstream-Contact email address.
    - Update Source to dockapps.net.
  * debian/rules
    - Remove --with-autoreconf; automatic after debhelper 10.
    - Remove get-orig-source target; use uscan instead.
  * debian/source/options
    - New file; ignore autogen.sh which is in upstream git but not upstream
      tarball.
  * debian/upstream/metadata
    - New file; add upstream metadata.
  * debian/watch
    - Update for uscan v4 using special strings.
    - Use new dockapps.net download url.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 27 Jun 2018 21:33:23 -0400

=== debian/control ===
Source: wmifs
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>=11),
               libdockapp-dev (>= 1:0.7.0),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               pkg-config
Standards-Version: 4.1.4
Homepage: https://www.dockapps.net/wmifs
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmifs
Vcs-Git: https://salsa.debian.org/wmaker-team/wmifs.git

Package: wmifs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: wmaker
Description: Window Maker dockapp for monitoring network traffic
 wmifs is a dockable applet for X11 that can monitor all your network
 interfaces. It's designed for Window Maker's Dock and AfterStep's Wharf,
 but it's not dependent on these window managers and should work with any
 other.
 .
 WMiFS stands for "Window Maker InterFace Statistics".

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@
